/* 
    ETRI IntraPMS Project
    전자결재  검색 조건을 위한 Class

    
*/

	
 package com.etri.groupware.eda;
 
 public class SearchCondition{

	private String listID; 				//문서함 종류
 	private String docID;				//문서 분류
 	private String startDay;			//검색 시작일
 	private String endDay;				//검색 종료일
 	private String initPerson;			//검색 작성자
 	private String title;				//문서 제목
 	private String comment;				//문서 내용
 	
 	private boolean docIDFlag;			//문서 분류Flag
 	private boolean dayFlag;			//작성일 Flag			
 	private boolean personFlag;			//문서 작성자 Flag
 	private boolean titleFlag;			//문서 제목 Flag
 	private boolean commFlag;			//문서 내용 Flag
 	private boolean andSearch;			//조건 연결 종류 
 	
 	private String owner;				//문서함 owner
	
 	
 	public SearchCondition( String listID, String docID , String startDay ,
 	 String endDay , String initPerson , String title , String comment ,
 	 boolean docIDFlag , boolean dayFlag , boolean personFlag ,
 	 boolean titleFlag , boolean commFlag , boolean andSearch){
 	 	
 	 	this.listID = listID;
 	 	this.docID = docID;
 	 	this.startDay = startDay;
 	 	this.endDay = endDay;
 	 	this.initPerson = initPerson;
 	 	this.title = title;
 	 	this.comment = comment;
 	 	
 	 	this.docIDFlag = docIDFlag;
 	 	this.dayFlag = dayFlag;
 	 	this.personFlag = personFlag;
 	 	this.titleFlag = titleFlag;
 	 	this.commFlag = commFlag;
 	 	this.andSearch = andSearch;
 	}
 	
 	public SearchCondition( String listID, String docID , String startDay ,
 	 String endDay , String initPerson , String title , String comment ,
 	 boolean docIDFlag , boolean dayFlag , boolean personFlag ,
 	 boolean titleFlag , boolean commFlag , boolean andSearch, String owner){
 	 	this.listID = listID;
 	 	this.docID = docID;
 	 	this.startDay = startDay;
 	 	this.endDay = endDay;
 	 	this.initPerson = initPerson;
 	 	this.title = title;
 	 	this.comment = comment;
 	 	
 	 	this.docIDFlag = docIDFlag;
 	 	this.dayFlag = dayFlag;
 	 	this.personFlag = personFlag;
 	 	this.titleFlag = titleFlag;
 	 	this.commFlag = commFlag;
 	 	this.andSearch = andSearch;

		this.owner = owner;		
	}
 	 	
 	public String getlistID(){
 		return listID;
 	}
 	
 	public String getdocID(){
 		return docID;
 	}
 	
 	public String getstartDay(){
 		return startDay;
 	}
 	
 	public String getendDay(){
 		return endDay;
 	}
 	
 	public String getinitPerson(){
 		return initPerson;
 	}
 	
 	public String gettitle(){
 		return title;
 	}
 	
 	public String getcomment(){
 		return comment;
 	}
 	
 	public boolean getdocIDFlag(){
 		return docIDFlag;
 	}
 	
 	public boolean getdayFlag(){
 		return dayFlag;
 	}
 	
 	public boolean getpersonFlag(){
 		return personFlag;
 	}
 	
 	public boolean gettitleFlag(){
 		return titleFlag;
 	}
 	
 	public boolean getcommFlag(){
 		return commFlag;
 	}
 	
 	public boolean getandSearch(){
 		return andSearch;
 	}
 	
 	public String getowner(){
 		return owner;
 	}
 	
  	public void setlistID(String listID){
 		this.listID = listID;
 	}
 	
 	public void setdocID(String docID){
 		this.docID = docID;
 	}
 	
 	public void setstartDay(String startDay){
 		this.startDay = startDay;
 	}
 	
 	public void setendDay(String endDay){
 		this.endDay = endDay;
 	}
 	
 	public void setinitPerson(String initPerson){
 		this.initPerson = initPerson;
 	}
 	
 	public void settitle(String title){
 		this.title = title;
 	}
 	
 	public void setcomment(String comment){
 		this.comment = comment;
 	}
 	
 	public void setdocIDFlag(boolean docIDFlag){
 		this.docIDFlag = docIDFlag;
 	}
 	
 	public void setdayFlag(boolean dayFlag){
 		this.dayFlag = dayFlag;
 	}
 	
 	public void setpersonFlag(boolean personFlag){
 		this.personFlag = personFlag;
 	}
 	
 	public void settitleFlag(boolean titleFlag){
 		this.titleFlag = titleFlag;
 	}
 	
 	public void setcommFlag(boolean commFlag){
 		this.commFlag = commFlag;
 	}
 	
 	public void setandSearch(boolean andSearch){
 		this.andSearch = andSearch;
 	}
 	
 	public void setowner(String owner){
 		this.owner = owner;
 	}
 }